/* (C)opyrigth by Mauri Sahlberg 1990,1991,1992
   This file is distributed under following conditions:
   - You may freely copy and distribute this program as long as it
     is distributed in original form.
   - This header may not be modified and must not be removed.
   - No warranty is given. If this program nukes your machine, I plead
     not guilty. Any kind of damage this program does to your software,
     hardware or your person is on your own responsibility.
   - If you wish to include this program or its source as part of
     comercial package you should ask my permission to do so.
   - If you find this program usefull, you should at least send me a postcard.
     Feedback is always welcome. (You may also buy me beer :-)		
*/

/*
Program   : Rolechar-Developer v6.0
File      : deve_wb.cc
Last edit : 10/20/92
Created   :
Version   : 1.10

History   :

Does      :
*/
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <curses.h>
#include <limits.h>

#ifndef __cplusplus__
#define __cplusplus__
#endif

#include "../skills/chosen.h"
#include <paths.h>
#include <mcform.h>

extern int fetch_devo(char *);
extern OS_CHOSEN devo_menu(OS_CHOSEN, int *);
extern "C" { char *mstrtok(char *, char *); };

OS_CHOSEN fetch_skills(char *);

void      put_skills(char *, OS_CHOSEN);
void	  put_spent(char *, int);
void 	  put_devo_logo(void);


do_devo(char *arg)
{
  int devo=0;
  OS_CHOSEN lst=NULL;
  int spent = 0;

  devo = fetch_devo(arg);
  spent = devo;
  if(!devo) {
    printf("You don't have any developmentpoints!\n");
    exit(0);
  };
  lst = fetch_skills(arg);
  if(!lst) {
    printf("You don't have skills to develop!\n");
    exit(0);
  };
  lst = devo_menu(lst,&devo);
  put_skills(arg,lst);
  spent -= devo;
  put_spent(arg,spent);
  return 0;
}

OS_CHOSEN fetch_skills(char *arg)  
{
  char *directory=NULL;
  int len = 0;
  char *name=NULL;
  int p=0;
  int i=0;

  directory = mstrtok(arg," \t\n\0");
  if(!directory) {
    perror("deve_stat.cc/strtok");
    exit(0);
  }

  len = 2 * strlen(directory) + strlen(SAVE) + 14 + 5;
  name = malloc(len);
  if(!name) {
    perror("malloc");
    exit(0);
  }
  sprintf(name,"%s/%s/%s.skills",SAVE,directory,directory);
  return load_skill_lst(name);
}

void put_skills(char *arg, OS_CHOSEN lst)  
{
  char *directory=NULL;
  int len = 0;
  char *name=NULL;
  int p=0;
  int i=0;

  directory = mstrtok(arg," \t\n\0");
  if(!directory) {
    perror("deve_wb.cc/strtok");
    exit(0);
  }

  len = 2 * strlen(directory) + strlen(SAVE) + 14 + 5;
  name = malloc(len);
  if(!name) {
    perror("malloc");
    exit(0);
  }
  sprintf(name,"%s/%s/%s.skills",SAVE,directory,directory);
  save_skill_lst(name,lst);
  return;
}

void put_spent(char *arg, int spent)  
{
  char *directory=NULL;
  int len = 0;
  char *name=NULL;
  int p=0;
  int i=0;
  FILE *dst;

  directory = mstrtok(arg," \t\n\0");
  if(!directory) {
    perror("deve_wb.cc/strtok");
    exit(0);
  }

  len = 2 * strlen(directory) + strlen(SAVE) + 14 + 5;
  name = malloc(len);
  if(!name) {
    perror("malloc");
    exit(0);
  }
  sprintf(name,"%s/%s/.spent",SAVE,directory);
  dst = fopen(name,"w");
  if(!dst) 
    return;
  putw(spent,dst);
  fclose(dst);
  return;
}

